package com.supervision.police.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.police.domain.NoteRecord;
import com.supervision.police.dto.NoteRecordDTO;
import com.supervision.police.mapper.NoteRecordMapper;
import com.supervision.police.service.NoteRecordService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
@RequiredArgsConstructor
public class NoteRecordServiceImpl extends ServiceImpl<NoteRecordMapper, NoteRecord>
        implements NoteRecordService {
    @Override
    public List<NoteRecordDTO> selectNoteRecordDTOList(NoteRecord noteRecord) {
        return super.getBaseMapper().selectNoteRecordDTOList(noteRecord);
    }
}
